# XQilla Simple API Documentation

# AutoStackFrameReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoStackFrameReset (DynamicContext *context, const StackFrame *frame)
| ~AutoStackFrameReset ()
void | reset ()

## Protected Attributes

DynamicContext * | context_
const StackFrame * | _oldFrame

## Constructor & Destructor Documentation

AutoStackFrameReset::AutoStackFrameReset | ( | DynamicContext * | context,
|  | const StackFrame * | frame |
| ) |  |  | `[inline]`

References DynamicContext::getStackFrame().

AutoStackFrameReset::~AutoStackFrameReset | ( |  | ) | `[inline]`

## Member Function Documentation

void AutoStackFrameReset::reset | ( |  | ) | `[inline]`

## Member Data Documentation

const StackFrame* AutoStackFrameReset::_oldFrame `[protected]`

DynamicContext* AutoStackFrameReset::context_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp